<?php
require "core.php";
head();

if (isset($_POST['add-word'])) {
    $word       = $_POST['word'];
	
    $queryvalid = $mysqli->query("SELECT * FROM `psec_bad-words` WHERE `word`='$word' LIMIT 1");
    $validator  = mysqli_num_rows($queryvalid);
    if ($validator > "0") {
    } else {
        $query = $mysqli->query("INSERT INTO `psec_bad-words` (`word`) VALUES ('$word')");
    }
}

if (isset($_GET['delete-id'])) {
    $id    = (int) $_GET["delete-id"];
    
    $query = $mysqli->query("DELETE FROM `psec_bad-words` WHERE id='$id'");
}

if (isset($_POST['save'])) {
    $settings['badword_replace'] = $_POST['badword-replace'];
	
    file_put_contents('config_settings.php', '<?php $settings = ' . var_export($settings, true) . '; ?>');
}
?>
<div class="content-wrapper">

			<!--CONTENT CONTAINER-->
			<!--===================================================-->
			<div class="content-header">
				
				<div class="container-fluid">
				  <div class="row mb-2">
        		    <div class="col-sm-6">
        		      <h1 class="m-0 "><i class="fas fa-filter"></i> Модуль защиты</h1>
        		    </div>
        		    <div class="col-sm-6">
        		      <ol class="breadcrumb float-sm-right">
        		        <li class="breadcrumb-item"><a href="dashboard.php"><i class="fas fa-home"></i> Панель защиты</a></li>
        		        <li class="breadcrumb-item active">Модуль защиты</li>
        		      </ol>
        		    </div>
        		  </div>
    			</div>
            </div>

				<!--Page content-->
				<!--===================================================-->
				<div class="content">
				<div class="container-fluid">

                <div class="row">
				<div class="col-md-8">
                    	    
<?php
$queryfc = $mysqli->query("SELECT * FROM `psec_bad-words`");
$countfc = mysqli_num_rows($queryfc);
if ($countfc > 0) {
    echo '
              <div class="card card-solid card-success">
';
} else {
    echo '
              <div class="card card-solid card-primary">
';
}
?>
						<div class="card-header">
							<h3 class="card-title">Цензура - Модуль защиты</h3>
						</div>
						<div class="card-body">
<?php
if ($countfc > 0) {
    echo '
        <h1 class="pm_enabled"><i class="fas fa-check-circle"></i> Вкючено</h1>
        <p>Сайт защищен <strong>фильтром</strong></p>
';
} else {
    echo '
        <h1 class="pm_disabledblue"><i class="fas fa-times-circle"></i> Выключено</h1>
        <p>Ваш сайт не защищен <strong>Фильтром</strong></p>
';
}
?>
                        </div>
                    </div>
                    
                    <div class="card">
						<div class="card-header">
							<h3 class="card-title">Цензура</h3>
							<button data-target="#add" data-toggle="modal" class="btn btn-flat btn-primary btn-sm float-sm-right"><i class="fas fa-plus-circle"></i> Добавить запрещенное слово</button>
						</div>
						<div class="card-body">
						
						<form action="" method="post" class="form-horizontal form-bordered">
						
						    <div class="form-group">
								<label class="control-label"><i class="fas fa-pen-square"></i> Замещающее слово</label>
								<input type="text" name="badword-replace" value="<?php
echo $settings['badword_replace'];
?>" class="form-control">
							</div>
						
						    <button type="button submit" name="save" class="mb-xs mt-xs mr-xs btn btn-flat btn-success btn-sm btn-block"><i class="fas fa-save"></i>&nbsp;&nbsp;Сохр.</button>
						</form>
						
						<hr /><br />
									
<form class="form-horizontal mb-lg" method="POST">
    <div class="modal fade" id="add" role="dialog" tabindex="-1" aria-labelledby="add" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h6 class="modal-title">Добавить запрещенное слово</h6>
					<button data-dismiss="modal" class="close" type="button">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<div class="form-group">
                        <label class="control-label">Запрещенное слово:</label>
						<input type="text" class="form-control" name="word" required />
					</div>
				</div>
				<div class="modal-footer">
					<input class="btn btn-block btn-flat btn-primary" name="add-word" type="submit" value="Add">
				</div>
			</div>
        </div>
    </div>
</form>               
<table id="dt-basicbadwords" class="table table-bordered table-hover table-sm">
									<thead class="<?php echo $thead; ?>">
										<tr>
											<th>Запрещенное слово</th>
											<th>Функции</th>
										</tr>
									</thead>
									<tbody>
<?php
$query = $mysqli->query("SELECT * FROM `psec_bad-words`");
while ($rowd = $query->fetch_assoc()) {
    echo '
										<tr>
                                            <td>' . $rowd['word'] . '</td>
											<td>
                                            <a href="?delete-id=' . $rowd['id'] . '" class="btn btn-flat btn-danger btn-sm btn-block"><i class="fas fa-trash"></i> Удалить</a>
											</td>
										</tr>
';
}
?>
									</tbody>
								</table>
                            
                        </div>
                     </div>
                    
                </div>
                    
                <div class="col-md-4">
                     <div class="card card-primary card-outline">
                        	<div class="card-header">
								<h3 class="card-title"><i class="fas fa-info-circle"></i> О фильтрации нецензурных слов</h3>
							</div>
							<div class="card-body">
                                Этот модуль можно использовать для цензуры (скрытия, замены) нецензурных слов, ссылок и предложений.
								<br /><br />
								Если не добавлено нецензурных слов, модуль автоматически отключается. 
								<br /><br />
								Модуль работает двумя способами:
								<ul>
								  <li>Фильтрация плохих слов в реальном времени перед выводом (рендеринг страницы)</li>
								  <li>Фильтрация плохих слов после отправки данных POST</li>
								</ul>
								<strong>Замещающее слово</strong> - Текст (Word), который будет отображаться вместо запрещенного слова
                        	</div>
                     </div>
                </div>
                
				</div>
                    
				</div>
				</div>
				<!--===================================================-->
				<!--End page content-->

			</div>
			<!--===================================================-->
			<!--END CONTENT CONTAINER-->
</div>   
<?php
footer();
?>