<?php
require "core.php";
head();

if (isset($_POST['save2'])) {

    if (isset($_POST['protection'])) {
        $settings['badbot_protection'] = 1;
    } else {
        $settings['badbot_protection'] = 0;
    }
    
    if (isset($_POST['protection2'])) {
        $settings['badbot_protection2'] = 1;
    } else {
        $settings['badbot_protection2'] = 0;
    }
    
    if (isset($_POST['protection3'])) {
        $settings['badbot_protection3'] = 1;
    } else {
        $settings['badbot_protection3'] = 0;
    }

	file_put_contents('config_settings.php', '<?php $settings = ' . var_export($settings, true) . '; ?>');
}

if (isset($_POST['save'])) {

    if (isset($_POST['logging'])) {
        $settings['badbot_logging'] = 1;
    } else {
        $settings['badbot_logging'] = 0;
    }
    
    if (isset($_POST['autoban'])) {
        $settings['badbot_autoban'] = 1;
    } else {
        $settings['badbot_autoban'] = 0;
    }
    
    if (isset($_POST['mail'])) {
        $settings['badbot_mail'] = 1;
    } else {
        $settings['badbot_mail'] = 0;
    }

    file_put_contents('config_settings.php', '<?php $settings = ' . var_export($settings, true) . '; ?>');
}
?>
<div class="content-wrapper">

			<!--CONTENT CONTAINER-->
			<!--===================================================-->
			<div class="content-header">
				
				<div class="container-fluid">
				  <div class="row mb-2">
        		    <div class="col-sm-6">
        		      <h1 class="m-0 "><i class="fas fa-code"></i> Модуль защиты</h1>
        		    </div>
        		    <div class="col-sm-6">
        		      <ol class="breadcrumb float-sm-right">
        		        <li class="breadcrumb-item"><a href="dashboard.php"><i class="fas fa-home"></i> Панель защиты</a></li>
        		        <li class="breadcrumb-item active">Модуль защиты</li>
        		      </ol>
        		    </div>
        		  </div>
    			</div>
            </div>

				<!--Page content-->
				<!--===================================================-->
				<div class="content">
				<div class="container-fluid">

                <div class="row">
				<div class="col-md-8">
                    	    
<?php
if ($settings['badbot_protection'] == 1 OR $settings['badbot_protection2'] == 1 OR $settings['badbot_protection3'] == 1) {
    echo '
              <div class="card card-solid card-success">
';
} else {
    echo '
              <div class="card card-solid card-danger">
';
}
?>
						<div class="card-header">
							<h3 class="card-title">Опасные боты - Модуль защиты</h3>
						</div>
						<div class="card-body">
<?php
if ($settings['badbot_protection'] == 1 OR $settings['badbot_protection2'] == 1 OR $settings['badbot_protection3'] == 1) {
    echo '
        <h1 class="pm_enabled"><i class="fas fa-check-circle"></i> Включено</h1>
        <p>Сайт защищен от  <strong>Опасных ботов</strong></p>
';
} else {
    echo '
        <h1 class="pm_disabled"><i class="fas fa-times-circle"></i> Выключено</h1>
        <p>Сайт не защищен от <strong>Опасных ботов</strong></p>
';
}
?>
                        </div>
                    </div>
                    
<form class="form-horizontal form-bordered" action="" method="post">
                        <div class="card card-primary card-outline">
                        	<div class="card-header">
								<h3 class="card-title"><i class="fas fa-shield-alt"></i> Дополнительные параметры</h3>
							</div>
							<div class="card-body">
                        	    <div class="row">
                                    <div class="col-md-4">
                                        <div class="card card-body bg-light">
                                        <center>
                                        <h5>Опасные боты</h5><hr />
                                        Обнаружение <b>опасных ботов</b> и блокировка их.
                                        <br /><br />
                                        
											<input type="checkbox" name="protection" class="psec-switch" <?php
if ($settings['badbot_protection'] == 1) {
    echo 'checked="checked"';
}
?> />
                                        </center>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="card card-body bg-light">
                                        <center>
                                        <h5>Поддельные боты</h5><hr />
                                        Обнаружение <b>Поддельных ботов</b> и блокировка их.
                                        <br /><br />
                                        
											<input type="checkbox" name="protection2" class="psec-switch" <?php
if ($settings['badbot_protection2'] == 1) {
    echo 'checked="checked"';
}
?> />
                                        </center>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="card card-body bg-light">
                                        <center>
                                        <h5>Анонимные боты</h5><hr />
                                        Обнаружение <b>анонимных ботов</b> и блокировка их.<br />
                                        <br /><br />
                                        
											<input type="checkbox" name="protection3" class="psec-switch" <?php
if ($settings['badbot_protection3'] == 1) {
    echo 'checked="checked"';
}
?> />
                                        </center>
                                        </div>
                                    </div>
								</div>
                                    <center><button class="btn btn-flat btn-md btn-block btn-primary mar-top" name="save2" type="submit"><i class="fas fa-save"></i> Сохр.</button></center>
                        	</div>
                        </div>
                    
                    </form>
                    
                </div>
                    
                <div class="col-md-4">
                     <div class="card card-primary card-outline">
                        	<div class="card-header">
								<h3 class="card-title"><i class="fas fa-info-circle"></i> Что такое опасные боты</h3>
							</div>
							<div class="card-body">
                                <strong>Опасные</strong>, <strong>Поддельные</strong> и  <strong>Анонимные боты</strong> это обученные программы для сканирования вашего сайта и определения файлов с плохой защитой, то является опасно для вас и так же нагружает ваш сайт заставляет тормозить .
                        	</div>
                     </div>
                     <div class="card card-primary card-outline">
                        	<div class="card-header">
								<h3 class="card-title"><i class="fas fa-cogs"></i> Настройки модуля</h3>
							</div>
							<div class="card-body">
									<ul class="list-group">
<form class="form-horizontal form-bordered" action="" method="post">
										<li class="list-group-item">
											<p>История</p>
												<input type="checkbox" name="logging" class="psec-switch" <?php
if ($settings['badbot_logging'] == 1) {
    echo 'checked="checked"';
}
?> /><br />
											<span class="text-muted"></span>
										</li>
										<li class="list-group-item">
											<p>АвтоБАН</p>
												<input type="checkbox" name="autoban" class="psec-switch" <?php
if ($settings['badbot_autoban'] == 1) {
    echo 'checked="checked"';
}
?> /><br />
											<span class="text-muted"> </span>
										</li>
                                        <li class="list-group-item">
											<p>Уведомления на email</p>
												<input type="checkbox" name="mail" class="psec-switch" <?php
if ($settings['badbot_mail'] == 1) {
    echo 'checked="checked"';
}
?> /><br />
											<span class="text-muted"> </span>
										</li>
									</ul>
                        	</div>
                            <div class="card-footer">
                                <button class="btn btn-flat btn-block btn-primary mar-top" name="save" type="submit"><i class="fas fa-save"></i> Сохр.</button>
                            </div>
</form>
                        </div>
                </div>
                
				</div>
                    
				</div>
				</div>
				<!--===================================================-->
				<!--End page content-->

			</div>
			<!--===================================================-->
			<!--END CONTENT CONTAINER-->
</div>
<?php
footer();
?>