<?php
require "core.php";
head();

if (isset($_POST['ht-edit'])) {
    
    $fn = $_SERVER['DOCUMENT_ROOT'] . "/.htaccess";
	@chmod($fn, 0777);
    @$file = fopen($fn, "w+");
    fwrite($file, $_POST['htaccess']);
    fclose($file);
}
?>
<div class="content-wrapper">

			<!--CONTENT CONTAINER-->
			<!--===================================================-->
			<div class="content-header">
				
				<div class="container-fluid">
				  <div class="row mb-2">
        		    <div class="col-sm-6">
        		      <h1 class="m-0 "><i class="fas fa-columns"></i> .htaccess редактор</h1>
        		    </div>
        		    <div class="col-sm-6">
        		      <ol class="breadcrumb float-sm-right">
        		        <li class="breadcrumb-item"><a href="dashboard.php"><i class="fas fa-home"></i> Панель защиты</a></li>
        		        <li class="breadcrumb-item active">.htaccess редактор</li>
        		      </ol>
        		    </div>
        		  </div>
    			</div>
            </div>

				<!--Page content-->
				<!--===================================================-->
				<div class="content">
				<div class="container-fluid">

<?php
$htaccess = $_SERVER['DOCUMENT_ROOT'] . "/.htaccess";
if (!file_exists($htaccess)) {
    echo '<div class="callout callout-info">
			  <strong>.htaccess</strong> file was not found on your website and will now be created in the website\'s root folder - <strong>' . $htaccess . '</strong> .
          </div>';
    $content = "";
	@chmod($htaccess, 0777);
    $fp      = fopen($htaccess, "w+");
    fwrite($fp, $content);
    fclose($fp);
}
?>
                    
                <div class="row">
				<div class="col-md-9">
				    <div class="card card-primary card-outline">
						<div class="card-header">
							<h3 class="card-title"><i class="far fa-file-code"></i>&nbsp; .htaccess редактор</h3>
						</div>
						<div class="card-body">
                            <form method="post">
							<div class="row">
                                    <div class="col-md-8">
                                        <textarea class="form-control" name="htaccess" rows="20" type="text"><?php
$htaccess = $_SERVER['DOCUMENT_ROOT'] . "/.htaccess";
@chmod($htaccess, 0777);
echo file_get_contents($htaccess);
?></textarea>
                                    </div>
                                    <div class="col-md-4">
                                    <p>Пожалуйста, дважды проверьте их перед сохранением, так как ошибка может сделать ваш сайт недоступным.</p>
                                     <ul class="description">
                                         <li><a href="https://www.google.com/search?q=htaccess+tutorial" data-toggle="tooltip" title="Search for htaccess tutorials" target="_blank">
                                             <img width="16px" src="http://google.com/favicon.ico" alt="google favicon"> htaccess руководство</a>
                                         </li>
                                         <li><a href="https://httpd.apache.org/docs/current/howto/htaccess.html" data-toggle="tooltip" title="Read about htaccess at apache.org" target="_blank">
                                             <img width="16px" src="http://apache.org/favicon.ico" alt="apache favicon"> htaccess</a>
                                         </li>
                                         <li><a href="https://httpd.apache.org/docs/current/mod/mod_rewrite.html" data-toggle="tooltip" title="Read about mod_rewrite at apache.org" target="_blank">
                                             <img width="16px" src="https://apache.org/favicon.ico" alt="apache favicon"> mod_rewrite</a>
                                         </li>
                                     </ul>
                                    </div>
								</div>
                        </div>
                        <div class="card-footer text-right">
				            <input class="btn btn-block btn-primary" type="submit" name="ht-edit" value="Save all changes">
				        </div>
                        </form>
                     </div>
					 <div class="card card-primary card-outline">
						<div class="card-header">
							<h3 class="card-title"><i class="fas fa-receipt"></i> Обычное использование</h3>
						</div>
				        <div class="card-body">
<ul>
<li><strong>Authorization, authentication</strong></li>
Файл .htaccess часто используется для указания ограничений безопасности для каталога, отсюда и название файла «доступ». Файл .htaccess часто сопровождается файлом .htpasswd, в котором хранятся действительные имена пользователей и их пароли.
<li><strong>Rewriting URLs</strong></li>
Серверы часто используют .htaccess для перезаписи длинных чрезмерно исчерпывающих URL-адресов на более короткие и запоминающиеся.
<li><strong>Blocking</strong></li>
Используйте разрешить / запретить, чтобы заблокировать пользователей по IP-адресу или домену. Также используйте для блокировки плохих ботов, рипперов и рефереров. Часто используется для ограничения доступа ботами поисковых систем.
<li><strong>SSI</strong></li>
Включить серверные включения.
<li><strong>Directory listing</strong></li>
Управляйте реакцией сервера, если не указана конкретная веб-страница.
    <li><strong>Customized error responses</strong></li>
Изменение страницы, которая отображается при возникновении ошибки на стороне сервера, например HTTP 404 Not Found или, чтобы указать поисковой системе, что страница была перемещена, HTTP 301 Moved Permanently.
<li><strong>MIME types</strong></li>
Укажите серверу, как обращаться с разными типами файлов..
<li><strong>Cache Control</strong></li>
Файлы .htaccess позволяют серверу управлять кэшированием веб-браузерами и прокси-серверами, чтобы уменьшить использование полосы пропускания, нагрузку на сервер и воспринимаемую задержку.
</ul>
                        </div>
				     </div>
                </div>
                    
				<div class="col-md-3">
				     <div class="card card-primary card-outline">
						<div class="card-header">
							<h3 class="card-title"><i class="fas fa-info-circle"></i> Информация и советы</h3>
						</div>
				        <div class="card-body">
						Файл .htaccess (гипертекстовый доступ) - это файл конфигурации на уровне каталога, поддерживаемый несколькими веб-серверами, который позволяет децентрализованно управлять конфигурацией веб-сервера. Они размещаются внутри веб-дерева и могут переопределить подмножество глобальной конфигурации сервера для каталога, в котором они находятся, и всех подкаталогов.
                        </div>
				     </div>
				</div>
				</div>
                    
				</div>
				</div>
				<!--===================================================-->
				<!--End page content-->

			</div>
			<!--===================================================-->
			<!--END CONTENT CONTAINER-->
</div>
<?php
footer();
?>